<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if (!isset($_GET['id']) && !is_numeric($_GET['id'])){header("Location: index.php?".SID);exit;}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `zags` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1",$db), 0) == 0)
{
	header("Location: index.php?".SID);
	exit;
} 

$zags = mysql_fetch_assoc(mysql_query("SELECT * FROM `zags` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1"));
// Комментарий 
if (isset($_POST['msg']) && isset($user))
{
	$msg = $_POST['msg'];

	$mat = antimat($msg);
	if ($mat)$err[] = 'В тексте сообщения обнаружен мат: '.$mat;

	if (strlen2($msg)>1024){$err = 'Сообщение слишком длинное';}
	elseif (strlen2($msg)<2){$err = 'Короткое сообщение';}
	elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `zags_komm` WHERE `id_zags` = '" . intval($_GET['id']) . "' AND `id_user` = '$user[id]' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"),0) != 0){$err = 'Ваше сообщение повторяет предыдущее';}
	elseif(!isset($err))
	{
		mysql_query("INSERT INTO `zags_komm` (`id_user`, `time`, `msg`, `id_zags`) values('$user[id]', '$time', '" . my_esc($msg) . "', '" . intval($_GET['id']) . "')");
		
		
		$_SESSION['message'] = 'Ваш комментарий успешно принят';

	if (isset($user) && $user['id'] == $zags['ona']) {       }else{
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$zags['ona']."', 'Сообщаем что в загсе ".$user['nick']." оставил к вашей паре новый комментарий.   [url=/zags/zkom.php?id=".$zags['id']."&prin]ПОДРОБНО[/url]', '$time')");
}
	if (isset($user) && $user['id'] == $anke['id']) {  }{
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$anke['id']."', 'Вам ответили на ваш комментарий .  [url=/zags/zkom.php?id=".$zags['id']."&prin]ПОДРОБНО[/url]', '$time')");
}

	if (isset($user) && $user['id'] == $zags['on']) {       }else{
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$zags['on']."', 'Сообщаем что в загсе    ".$user['nick']." оставил к вашей паре новый комментарий .  [url=/zags/zkom.php?id=".$zags['id']."&prin]ПОДРОБНО[/url]', '$time')");
}
		header('Location: ?id=' . intval($_GET['id']) . '&page=' . intval($_GET['page']));
		exit;
	}
}


$set['title'] = 'Комментарий';

include_once '../sys/inc/thead.php';
title();
aut();
err(); 





	$pose = mysql_query("SELECT * FROM `zags_komm` WHERE `id_zags` = '" . intval($_GET['id']) . "' ORDER BY `id` $sort LIMIT 1");

$anke = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $pose[id_user] LIMIT 1"));

echo '<div class="foot" id="news_komm">';
echo 'Комментарии:';
echo '</div>';

// Колличество комментариев
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `zags_komm` WHERE `id_zags` = '".intval($_GET['id'])."' "),0);

$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

// Выборка постов
$q = mysql_query("SELECT * FROM `zags_komm` WHERE `id_zags` = '" . intval($_GET['id']) . "' ORDER BY `id` $sort LIMIT $start, $set[p_str]");

echo '<table class="post">';

if ($k_post == 0)
{
	echo '<div class="mess" id="no_object">';
	echo 'Нет сообщений';
	echo '</div>';
}
else
{
	/*------------сортировка по времени--------------*/
	if (isset($user))
	{
		echo '<div id="comments" class="menus">';
		echo '<div class="webmenu">';
		echo '<a href="?id=' . $zags['id'] . '&amp;page=' . $page . '&amp;sort=1" class="' . ($user['sort'] == 1 ? 'activ' : null) . '">Внизу</a>';
		echo '</div>'; 
		
		echo '<div class="webmenu">';
		echo '<a href="?id=' . $zags['id'] . '&amp;page=' . $page . '&amp;sort=0" class="' . ($user['sort'] == 0 ? 'activ' : null) . '">Вверху</a>';
		echo '</div>'; 
		echo '</div>';
	}
	/*---------------alex-borisi---------------------*/
}


while ($post = mysql_fetch_assoc($q))
{
	$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

	// Лесенка
	echo '<div class="' . ($num % 2 ? "nav1" : "nav2") . '">';
	$num++;

	echo group($ank['id']) . user::nick($ank['id']);

	if (isset($user) && $user['id'] != $ank['id'])
	echo ' <a href="?id=' . $zags['id'] . '&amp;page=' . $page . '&amp;response=' . $ank['id'] . '">[отв]</a> ';

	echo medal($ank['id']) . online($ank['id']) . ' (' . vremja($post['time']) . ')<br />';

	echo output_text($post['msg']) . '<br />';


}

echo '</table>';

// Вывод страниц
if ($k_page>1)str("zkom.php?id=" . intval($_GET['id']) . '&amp;', $k_page,$page); 

// Форма для комментариев
if (isset($user))
{
	echo '<form method="post" name="message" action="?id=' . intval($_GET['id']) . '&amp;page=' . $page . REPLY . '">';
	if (is_file(H.'style/themes/' . $set['set_them'] . '/altername_post_form.php'))
	include_once H.'style/themes/' . $set['set_them'] . '/altername_post_form.php';
	else
	echo $tPanel . '<textarea name="msg">' . $insert . '</textarea><br />';
	echo '<input value="Отправить" type="submit" />';
	echo '</form>';
}


echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*"> <a href="index.php">В загс</a><br />';
echo '</div>';

include_once '../sys/inc/tfoot.php';
?>